Subject: Re: [PATCH 3/9] Add memory pool library

From: Jonathan Nieder <[email-masked]>
Date: Thu, 24 Jun 2010 15:06:41 -0500

Ramkumar Ramachandra wrote:

> The
> following functions are unused: blob_init, blob_offset, blob_commit,
> commit_free, commit_offset, dir_free, node_init, node_commit,
> string_offset, tree_first, tree_next, tree_remove, log_init,
> log_offset, and log_commit.

Thanks for this list.  Do you think it’s worth automating its
production?  i.e., a masochistic person could write a script to
compile with the __attribute__((unused)) suppressed, parse warnings to
find unused functions, and then take an intersection of sets to
confirm that no family of functions is unused.

Jonathan